This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504521 - Review Request: SevenZip - Java SDK for LZMA
Review Request: SevenZip - Java SDK for LZMA
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492203
  Show dependency treegraph
 
Reported: 2009-06-07 16:14 EDT by Orcan Ogetbil
Modified: 2009-06-30 17:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.65-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 13:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-06-07 16:14:12 EDT
Spec URL: http://oget.fedorapeople.org/review/SevenZip.spec
SRPM URL: http://oget.fedorapeople.org/review/SevenZip-4.65-1.fc11.src.rpm
Description:
SevenZip is the Java version of LZMA compressing and decompressing SDK.

rpmlint:
SevenZip.src:112: W: libdir-macro-in-noarch-package (main package) %{_libdir}/gcj/%{name}/

This is a false warning since the package is not noarch by default.

Koji rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1397876
Comment 1 Rakesh Pandit 2009-06-08 00:59:39 EDT
will review shortly
Comment 2 Rakesh Pandit 2009-06-24 06:30:26 EDT
package naming -- done
api-subpackage -- done

[rakesh@dhcp7-204 SevenZip-4.65-1.fc11.x86_64]$ tree
.
`-- usr
    |-- lib64
    |   `-- gcj
    |       `-- SevenZip
    |           |-- SevenZip-4.65.jar.db
    |           `-- SevenZip-4.65.jar.so
    `-- share
        |-- doc
        |   `-- SevenZip-4.65
        |       |-- 7zFormat.txt
        |       |-- Methods.txt
        |       |-- history.txt
        |       `-- lzma.txt
        `-- java
            |-- SevenZip-4.65.jar
            `-- SevenZip.jar -> SevenZip-4.65.jar

8 directories, 8 files

Symlink between project name and commonly used jar file name done
jar files going to %{_javadir} - done
package naming - fails

I am confused about wether SevenZip would be right name for this packages .. will confirm in some time.

spec file language -- sane
spec file -  legible


[rakesh@dhcp7-204 SPECS]$ md5sum lzma465.tar.bz2 
29d5ffd03a5a3e51aef6a74e9eafb759  lzma465.tar.bz2

[rakesh@dhcp7-204 SPECS]$ md5sum SevenZip-4.65-1.fc11.src/lzma465.tar.bz2 
29d5ffd03a5a3e51aef6a74e9eafb759  SevenZip-4.65-1.fc11.src/lzma465.tar.bz2

md5sum matches -- done
Compiles -- successfully

Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1433244

rpmlint output - mentioned
buildrequires - fine
%files - fine
-doc package - fine

Summary: naming .. I am in doubt will confirm in some time.
Comment 3 Orcan Ogetbil 2009-06-24 12:10:52 EDT
Thanks for the review! 

SevenZip source tree is being copied to other programs' tarballs. frinika (bug #492203) is one of them. I made it a separate package as a Fedora requirement.

On the other hand this source tree of lzma has the lzma framework for 
C/C++/C sharp/Java. The former two are already covered in the current lzma package we have in Fedora. I am not much interested in C sharp, I am sure only very few of us are. That leaves the Java, which is what this package is.
Comment 4 Rakesh Pandit 2009-06-25 03:27:56 EDT
Yeah .. I had posted it fedora-devel regarding .. "what would be most suited name for this" .. may you follow up there? I don't think SevenZip is apt.

May you check this .. I did not see any debuginfo file ?

[rakesh@dhcp7-204 new]$ rpmlint /home/rakesh/rpmbuild/RPMS/x86_64/SevenZip-4.65-1.fc11.x86_64.rpm 
SevenZip.x86_64: W: unstripped-binary-or-object /usr/lib64/gcj/SevenZip/SevenZip-4.65.jar.so
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 6 Rakesh Pandit 2009-06-26 00:53:36 EDT
I am okay with SevenZip ... may you check about debuginfo file ? as suggested in comment #4
Comment 7 Orcan Ogetbil 2009-06-26 01:01:11 EDT
My system builds the debuginfo package. You need to install redhat-rpm-config or use mock.
Comment 8 Rakesh Pandit 2009-06-26 01:10:26 EDT
APPROVED
Comment 9 Orcan Ogetbil 2009-06-26 01:53:18 EDT
Thanks for the package review!

New Package CVS Request
=======================
Package Name: SevenZip
Short Description: Java SDK for LZMA
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 10 Jason Tibbitts 2009-06-26 20:34:30 EDT
CVS done.
Comment 11 Fedora Update System 2009-06-26 22:13:14 EDT
SevenZip-4.65-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/SevenZip-4.65-1.fc11
Comment 12 Fedora Update System 2009-06-26 22:14:06 EDT
SevenZip-4.65-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/SevenZip-4.65-1.fc10
Comment 13 Orcan Ogetbil 2009-06-27 13:58:52 EDT
Package in rawhide now. Thanks everyone.
Comment 14 Kevin Kofler 2009-06-27 20:10:23 EDT
The name really needs to be changed, see also the feedback on the mailing list. Rakesh, why did you first ask for feedback and then ignore it? It would have been trivial to fix this right at the beginning, now this needs to be reviewed again, and as it has been already built, the badly-named source package can't easily be removed. :-( Next time please decide the naming BEFORE approving a package!
Comment 15 Kevin Kofler 2009-06-27 20:15:24 EDT
Oh, and also no thanks for oget for filing the CVS request without sorting out the name.
Comment 16 Rakesh Pandit 2009-06-27 23:34:21 EDT
(In reply to comment #14)
> The name really needs to be changed, see also the feedback on the mailing list.
> Rakesh, why did you first ask for feedback and then ignore it? It would have
> been trivial to fix this right at the beginning, now this needs to be reviewed
> again, and as it has been already built, the badly-named source package can't
> easily be removed. :-( Next time please decide the naming BEFORE approving a
> package!  

I asked for views and saw the response yesterday and decided based on it that "SevenZip" is apt and it is.
Comment 17 Kevin Kofler 2009-06-28 09:23:29 EDT
Huh? In the mailing list thread, the submitter (Orcan Ogetbil) was the only one who thinks SevenZip is the correct name.
Comment 18 Fedora Update System 2009-06-30 17:21:58 EDT
SevenZip-4.65-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-06-30 17:38:03 EDT
SevenZip-4.65-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.